%define         major   1

Name:           yalib
Version:        1.2
Release:        %mkrel 3
Summary:        YaFlight and YaInstall shared library
Group:          System/Libraries
License:        GPLv3
URL:            https://bitbucket.org/_pmat_/yalib
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  qt5-devel

%define    libname    %mklibname yalib %{major}
%define    develname %mklibname -d yalib

%description
yalib is a shared library written entirely in C++ and Qt to provide
common access methods to FlightGear resources for YaFlight and YaInstall.

#----------------------------------------------------------

%package -n %libname
Summary:      %{summary}
Group:        System/Libraries
Provides:     %{name} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with yalib.

%files -n %libname
%{_libdir}/lib*.so.%{major}*
%doc COPYING* README.md

#----------------------------------------------------------

%package -n %develname
Summary:      yalib header files
Group:        Development/C++
Requires:     %{name} >= %{version}
Requires:     qt5-devel
Provides:     %{name}-devel = %{version}-%{release}

%description -n %develname
This is the development package for yalib.

%files -n %develname
%{_libdir}/lib*.so
%dir %{_includedir}/yalib
%{_includedir}/yalib/*.h

#----------------------------------------------------------

%prep
%setup -q

%build
%qmake_qt5
sed -i -e 's|/usr/lib/|%{_libdir}/|g' Makefile
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}
make install INSTALL_ROOT=%{buildroot}
install -m0755 -d %{buildroot}/%{_includedir}/yalib
mv yalib*.h %{buildroot}/%{_includedir}/yalib/
find "%{buildroot}" -name "*.la" -delete


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.2-3.mga4
+ Revision: 531783
- Mageia 4 Mass Rebuild

* Sat Aug 10 2013 matteo <matteo> 1.2-2.mga4
+ Revision: 465332
- bumped release
- fixed bad requirement

* Sat Aug 10 2013 matteo <matteo> 1.2-1.mga4
+ Revision: 465277
- new version 1.2
- built against Qt5

* Fri Mar 01 2013 matteo <matteo> 1.0-0.git20130225.1.mga3
+ Revision: 400895
- new minor release

* Sun Feb 24 2013 matteo <matteo> 1.0-0.git20130224.1.mga3
+ Revision: 400290
- new minor release

* Sat Feb 09 2013 matteo <matteo> 1.0-0.git20130209.1.mga3
+ Revision: 397484
- fixed release
- fixed url
- imported package yalib

